## org.eclipse.datatools.modelbase.sql.schema
Interface Catalog

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  CatalogImpl

public interface Catalog
extends SQLObject

A representation of the model object 'Catalog'.

The following features are supported:

- `Database`
- `Schemas`

See Also:
  `SQLSchemaPackage.getCatalog()`

Method Summary
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getDatabase

    public Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Catalogs`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLSchemaPackage.getCatalog_Database()`, `Database.getCatalogs()`

### setDatabase

    public void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

### getSchemas

    public EList getSchemas()

  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Catalog`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getCatalog_Schemas()`, `Schema.getCatalog()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.